View Issue Details

IDProjectCategoryView StatusLast Update
0001302SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.8 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001302: Speed up queries against sym_data, sym_data_gap and sym_outgoing_batch on postgres
DescriptionSpeed up queries against sym_data, sym_data_gap and sym_outgoing_batch on postgres. The jdbc driver should be using the Types.BIGINT versus Types.NUMERIC to bind against data_id and batch_id.
TagsNo tags attached.

Activities

chenson

2013-07-22 17:51

administrator   ~0000316

prepare for release

Related Changesets

SymmetricDS: master bf4cea55

2013-06-27 15:59:34

chenson

Details Diff
0001302: Speed up queries against sym_data, sym_data_gap and sym_outgoing_batch on postgres
0001302
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2013-06-27 15:59 chenson New Issue
2013-06-27 15:59 chenson Status new => assigned
2013-06-27 15:59 chenson Assigned To => chenson
2013-06-27 16:02 chenson Status assigned => resolved
2013-06-27 16:02 chenson Fixed in Version => 3.5.0
2013-06-27 16:02 chenson Resolution open => fixed
2013-07-22 17:51 chenson Note Added: 0000316
2013-07-22 17:51 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7459
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master bf4cea55